Remove file from agent

This endpoint removes a file previously attached to the agent.

DELETE /Agent/file

This endpoint removes a file previously attached to the agent.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: AgentDeleteFileRequestDto

PropertyTypeRequiredDescriptionConstraints
fileIdstringNo—nullable
agentIdinteger · int32No——

Example request

curl --request DELETE \
  --url 'https://api.zild.ai/Agent/file' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "fileId": "string",
  "agentId": 0
}'

Responses

StatusDescriptionResponse body
204File removed successfullyNo response body is defined.

Data models

AgentDeleteFileRequestDto
PropertyTypeRequiredDescriptionConstraints
fileIdstringNo—nullable
agentIdinteger · int32No——